﻿@model IEnumerable<ECommerce.Models.City>

@{
    ViewBag.Title = "ciudades";
}

<h2>ciudades</h2>

<p>
    @Html.ActionLink("crear nuevo", "Create", new { }, new { @class = "btn btn-primary" })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Department.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Department.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.CityId }, new { @class = "btn btn-warning" })
            @Html.ActionLink("Details", "Details", new { id=item.CityId }, new { @class = "btn btn-info" })
            @Html.ActionLink("Delete", "Delete", new { id=item.CityId }, new { @class = "btn btn-danger" })
        </td>
    </tr>
}

</table>
